SchedulerObj (The Data Transfer scheduler library 2.1.0-4.9.0-126143 API)
Date: 2017-12-19

org.gcube.datatransfer.scheduler.library.obj

## Class SchedulerObj

- java.lang.Object
- - org.gcube.datatransfer.scheduler.library.obj.SchedulerObj

- All Implemented Interfaces:
    Serializable

      public class SchedulerObj
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `agentHostname`
    `String` | `dataSourceId`
    `String` | `dataStorageId`
    `String` | `destinationFolder`
    `String[]` | `inputUrls`
    `String[]` | `outputUrls`
    `boolean` | `overwrite`
    `org.gcube.data.trees.patterns.Pattern` | `pattern`
    `String` | `scope`
    `org.gcube.datatransfer.common.agent.Types.StorageManagerDetails` | `smDetails`
    `boolean` | `syncOp`
    `String` | `treeSourceID`
    `String` | `treeStorageID`
    `TypeOfSchedule` | `typeOfSchedule`
    `org.gcube.datatransfer.common.agent.Types.storageType` | `typeOfStorage`
    `String` | `typeOfTransfer`
    `boolean` | `unzipFile`
    `protected static com.thoughtworks.xstream.XStream` | `xstream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerObj()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAgentHostname()`
    `String` | `getDataSourceId()`
    `String` | `getDataStorageId()`
    `String` | `getDestinationFolder()`
    `String[]` | `getInputUrls()`
    `String[]` | `getOutputUrls()`
    `org.gcube.data.trees.patterns.Pattern` | `getPattern()`
    `String` | `getScope()`
    `org.gcube.datatransfer.common.agent.Types.StorageManagerDetails` | `getSmDetails()`
    `String` | `getSubmittedDate()`
    `String` | `getTreeSourceID()`
    `String` | `getTreeStorageID()`
    `TypeOfSchedule` | `getTypeOfSchedule()`
    `org.gcube.datatransfer.common.agent.Types.storageType` | `getTypeOfStorage()`
    `String` | `getTypeOfTransfer()`
    `boolean` | `isOverwrite()`
    `boolean` | `isSyncOp()`
    `boolean` | `isUnzipFile()`
    `void` | `setAgentHostname(String agentHostname)`
    `void` | `setDataSourceId(String dataSourceId)`
    `void` | `setDataStorageId(String dataStorageId)`
    `void` | `setDestinationFolder(String destinationFolder)`
    `void` | `setInputUrls(String[] inputUrls)`
    `void` | `setOutputUrls(String[] outputUrls)`
    `void` | `setOverwrite(boolean overwrite)`
    `void` | `setPattern(org.gcube.data.trees.patterns.Pattern pattern)`
    `void` | `setScope(String scope)`
    `void` | `setSmDetails(org.gcube.datatransfer.common.agent.Types.StorageManagerDetails smDetails)`
    `void` | `setSubmittedDate(String submittedDate)`
    `void` | `setSyncOp(boolean syncOp)`
    `void` | `setTreeSourceID(String treeSourceID)`
    `void` | `setTreeStorageID(String treeStorageID)`
    `void` | `setTypeOfSchedule(TypeOfSchedule typeOfSchedule)`
    `void` | `setTypeOfStorage(org.gcube.datatransfer.common.agent.Types.storageType typeOfStorage)`
    `void` | `setTypeOfTransfer(String typeOfTransfer)`
    `void` | `setUnzipFile(boolean unzipFile)`
    `String` | `toXML()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeOfSchedule

          public TypeOfSchedule typeOfSchedule

    - #### typeOfTransfer

          public String typeOfTransfer

    - #### scope

          public String scope

    - #### unzipFile

          public boolean unzipFile

    - #### overwrite

          public boolean overwrite

    - #### syncOp

          public boolean syncOp

    - #### agentHostname

          public String agentHostname

    - #### pattern

          public org.gcube.data.trees.patterns.Pattern pattern

    - #### inputUrls

          public String[] inputUrls

    - #### dataSourceId

          public String dataSourceId

    - #### treeSourceID

          public String treeSourceID

    - #### destinationFolder

          public String destinationFolder

    - #### typeOfStorage

          public org.gcube.datatransfer.common.agent.Types.storageType typeOfStorage

    - #### smDetails

          public org.gcube.datatransfer.common.agent.Types.StorageManagerDetails smDetails

    - #### outputUrls

          public String[] outputUrls

    - #### dataStorageId

          public String dataStorageId

    - #### treeStorageID

          public String treeStorageID

    - #### xstream

          protected static com.thoughtworks.xstream.XStream xstream

  - ### Constructor Detail

    - #### SchedulerObj

          public SchedulerObj()

  - ### Method Detail

    - #### toXML

          public String toXML()

    - #### getTypeOfSchedule

          public TypeOfSchedule getTypeOfSchedule()

    - #### setTypeOfSchedule

          public void setTypeOfSchedule(TypeOfSchedule typeOfSchedule)

    - #### getTypeOfTransfer

          public String getTypeOfTransfer()

    - #### setTypeOfTransfer

          public void setTypeOfTransfer(String typeOfTransfer)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### isUnzipFile

          public boolean isUnzipFile()

    - #### setUnzipFile

          public void setUnzipFile(boolean unzipFile)

    - #### isOverwrite

          public boolean isOverwrite()

    - #### setOverwrite

          public void setOverwrite(boolean overwrite)

    - #### isSyncOp

          public boolean isSyncOp()

    - #### setSyncOp

          public void setSyncOp(boolean syncOp)

    - #### getAgentHostname

          public String getAgentHostname()

    - #### setAgentHostname

          public void setAgentHostname(String agentHostname)

    - #### getInputUrls

          public String[] getInputUrls()

    - #### setInputUrls

          public void setInputUrls(String[] inputUrls)

    - #### getDataSourceId

          public String getDataSourceId()

    - #### setDataSourceId

          public void setDataSourceId(String dataSourceId)

    - #### getDestinationFolder

          public String getDestinationFolder()

    - #### setDestinationFolder

          public void setDestinationFolder(String destinationFolder)

    - #### getTypeOfStorage

          public org.gcube.datatransfer.common.agent.Types.storageType getTypeOfStorage()

    - #### setTypeOfStorage

          public void setTypeOfStorage(org.gcube.datatransfer.common.agent.Types.storageType typeOfStorage)

    - #### getSmDetails

          public org.gcube.datatransfer.common.agent.Types.StorageManagerDetails getSmDetails()

    - #### setSmDetails

          public void setSmDetails(org.gcube.datatransfer.common.agent.Types.StorageManagerDetails smDetails)

    - #### getSubmittedDate

          public String getSubmittedDate()

    - #### setSubmittedDate

          public void setSubmittedDate(String submittedDate)

    - #### getOutputUrls

          public String[] getOutputUrls()

    - #### setOutputUrls

          public void setOutputUrls(String[] outputUrls)

    - #### getDataStorageId

          public String getDataStorageId()

    - #### setDataStorageId

          public void setDataStorageId(String dataStorageId)

    - #### getPattern

          public org.gcube.data.trees.patterns.Pattern getPattern()

    - #### setPattern

          public void setPattern(org.gcube.data.trees.patterns.Pattern pattern)

    - #### getTreeSourceID

          public String getTreeSourceID()

    - #### getTreeStorageID

          public String getTreeStorageID()

    - #### setTreeSourceID

          public void setTreeSourceID(String treeSourceID)

    - #### setTreeStorageID

          public void setTreeStorageID(String treeStorageID)

Copyright © 2017. All Rights Reserved.